import json

# 保存多个映射关系到 JSON 文件
data = [
    {
        "keywords": [
            "飞机",
            "正常上电"
        ],
        "phenomenon": "飞机无法正常上电"
    },
    {
        "keywords": [
            "飞机",
            "启动过程",
            "断电"
        ],
        "phenomenon": "飞机启动过程中突然断电"
    },
    {
        "keywords": ["液压2","压力正常"],
        "phenomenon": "液压2系统压力正常"
    },
    {
        "keywords": ["液压","灯", "灭"],
        "phenomenon": "液压告警灯熄灭"
    },
    {
        "keywords": ["PBIT", "依旧"],
        "phenomenon": "再次进行电传PBIT测试，依旧报此故障"
    },
    {
        "keywords": ["电池", "没电"],
        "phenomenon": "电池没电"
    },
    {
        "keywords": ["刹车", "失灵"],
        "phenomenon": "刹车失灵"
    },
    {
        "keywords": ["方向盘", "打不动"],
        "phenomenon": "方向盘打不动"
    },
    {
        "keywords": ["加速", "不灵敏"],
        "phenomenon": "加速不灵敏"
    },
    {
        "keywords": ["发动机", "漏油"],
        "phenomenon": "发动机漏油"
    },
    {
        "keywords": ["轮胎", "爆胎"],
        "phenomenon": "轮胎爆胎"
    },
    {
        "keywords": ["点火", "无效"],
        "phenomenon": "点火无效"
    },
    {
        "keywords": ["引擎", "异响"],
        "phenomenon": "引擎异响"
    },
    {
        "keywords": ["刹车", "噪音"],
        "phenomenon": "刹车噪音"
    }
]

# 保存为 JSON 文件
with open("./mapping.json", "w", encoding="utf-8") as json_file:
    json.dump(data, json_file, ensure_ascii=False, indent=4)

# 从文件读取
with open("./mapping.json", "r", encoding="utf-8") as json_file:
    loaded_data = json.load(json_file)

print(loaded_data)
