from py2neo import Graph

# 连接 Neo4j 数据库
graph = Graph("bolt://localhost:7687", auth=("neo4j", "123456"))

entities = ["液压2系统压力正常", "液压告警灯熄灭", "再次进行电传PBIT测试，依旧报此故障"]

query = ""
for i in entities:
    query += "MATCH (a)-[:故障现象]->(:故障现象{name:'" + i + "'}) "

query += "MATCH (a)-[:排故流程]->(b:故障流程) RETURN b.name"

print(query)


# 构建 Cypher 查询语句
#query = "MATCH (a:故障名称)-[:故障原因]->(:故障原因{name:'2号电传计算机故障'}), (a)-[:故障现象]->(:故障现象{name:'液压告警灯熄灭'}) MATCH (a)-[:排故流程]->(b:故障流程) RETURN a,b"

# 执行查询
result = graph.run(query)


# Process the query result
for record in result:
    fault_process = record['b.name']
    print(f"排故流程: {fault_process}")